PRECIS support forum

It is currently Mon Aug 21, 2017 12:55 am

All times are UTC




Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: ppnc error
PostPosted: Fri Jun 03, 2016 10:00 am 
Offline

Joined: Fri Jun 03, 2016 9:52 am
Posts: 2
Hi there,

When I try to convert .pp file by using ppnc the following appeared in my command terminal

Traceback (most recent call last):
File "/home/precis/um/bin/ppnc", line 15, in ?
from coco import *
ImportError: No module named coco


Top
 Profile  
 
 Post subject: Re: ppnc error
PostPosted: Tue Jun 07, 2016 9:22 am 
Offline

Joined: Thu Feb 06, 2014 12:29 pm
Posts: 118
Hi Ibrahim,
ppnc has been deprecated in PRECIS 2.0.
We recommend that you use cf-python
http://cfpython.bitbucket.org/
to convert PP to NetCDF.
Installation instructions are on the page.
Let us know if you need further help.
Thank you
David


Top
 Profile  
 
 Post subject: Re: ppnc error
PostPosted: Wed Jun 08, 2016 10:11 pm 
Offline

Joined: Fri Jun 03, 2016 9:52 am
Posts: 2
Hi David,

I have downloaded the cf-python & netcdf package but after I typed in "cfa" it says Import error: no netcdf4 module found. Can you help me on ths?

Thank you.


Top
 Profile  
 
 Post subject: Re: ppnc error
PostPosted: Thu Jun 09, 2016 10:54 am 
Offline

Joined: Thu Feb 06, 2014 12:29 pm
Posts: 118
Hi Ibrahim,

Netcdf4-python is one of the dependencies for CF-Python.

You can find it here:

http://unidata.github.io/netcdf4-python/

An easy way to install Python packages is using "pip"

In Debian linux and derivatives (Ubuntu, Mint) you can install pip with

Code:
sudo apt-get install python-pip


In OpenSUSE

Code:
sudo zypper in python-pip


In Fedora, RedHat

Code:
sudo yum install python-pip


Once that's installed, you can type

Code:
sudo pip install cython
sudo pip install numpy
sudo pip install netcdf4-python
sudo pip install cf-python


Hope this helps

David


Top
 Profile  
 
 Post subject: Re: ppnc error
PostPosted: Wed Oct 12, 2016 9:25 pm 
Offline

Joined: Tue Jul 28, 2015 12:39 pm
Posts: 19
but if is not broken why to fix it!?? :cry:
I tried to install the cypthon without any success (plus from a quick review of the webpage it seems rather complicated to use) is there any way to make ppnc or pp2nc to run again???


Top
 Profile  
 
 Post subject: Re: ppnc error
PostPosted: Fri Oct 14, 2016 3:39 pm 
Offline

Joined: Thu Feb 06, 2014 12:29 pm
Posts: 118
Hi,
It wasn't broken per se, but it had requirements for 12 year old libraries in Linux that no longer exist. So it would run OpenSUSE 9.3 from 2005.

cf-python is a vastly superior product, also, producing netcdf which meet the CF compliance standard.

Installation instructions are here.
http://cfpython.bitbucket.org/docs/latest/installation.html

Ruth you may remember David Hassell. This is software that David has written and he is available to help.

The help forum is here
https://bitbucket.org/cfpython/cf-python/issues

Alternatively if you can arrange remote access for me to your PC (and the root password) I can try to install it for you. Email me. :D

David


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group